# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pdftdx/version'

Gem::Specification.new do |spec|
	spec.name = "pdftdx"
	spec.version = PDFTDX::VERSION
	spec.authors = ["Eresse"]
	spec.email = ["eresse@eresse.net"]

	spec.summary = "Simple PDF Table Data Extractor"
	spec.description = "Simple tool to extract Table Data from PDFs"
	spec.homepage = "http://redmine.eresse.net/projects/pdftdx"
	spec.license = "MIT"

	spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
	spec.bindir = "exe"
	spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
	spec.require_paths = ["lib"]

	spec.add_development_dependency "bundler", "~> 1.12"
	spec.add_development_dependency "rake", "~> 10.0"
	spec.add_runtime_dependency "minitest"
	spec.add_runtime_dependency "htmlentities"
	spec.add_runtime_dependency "pdftohtml"
end
